#!/usr/bin/perl

use Data::Dumper;
use Net::Snort::Parser::RuleOptions;

$Data::Dumper::Pad = "# ";

$| = 1; 
while(<DATA>) {
    chomp;
    next if /^#/;
    next if /^\s*$/;
    push (@tests,$_);
}

print "1.." . scalar(@tests) . "\n"; 

for (my $i = 0; $i <= $#tests; $i++) {
    my ($in, $expected) = split(/\s+\|\|\s+/,$tests[$i],2);
    my $result = Net::Snort::Parser::RuleOptions::make_content_readable(pack('H*', $in));
    if ($expected ne $result) {
        print "# Expected => \"$expected\"\n";
        print "# GOT => \"$result\"\n";
        print "not ";
    } 
    
    print "ok " . ($i+1) . "\n";
}

__DATA__
7c || |7C|
616263 || abc
6120622063 || a b c
5c || |5C|
5c205c || |5C| |5C|
3a3b27225c || |3A 3B|'|22 5C|
